package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 重点工程对象 key_project
 * 
 * @author ruoyi
 * @date 2023-07-24
 */
public class KeyProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 父部门id */
    private Long parentId;

    /**  */
    @Excel(name = "")
    private String projectName;

    /** 摄像头名称 */
    @Excel(name = "摄像头名称")
    private String cameraName;

    /** 唯一标识 */
    @Excel(name = "唯一标识")
    private String cameraCode;

    /** 预置号 */
    @Excel(name = "预置号")
    private Integer presetPoints;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setCameraName(String cameraName) 
    {
        this.cameraName = cameraName;
    }

    public String getCameraName() 
    {
        return cameraName;
    }
    public void setCameraCode(String cameraCode) 
    {
        this.cameraCode = cameraCode;
    }

    public String getCameraCode() 
    {
        return cameraCode;
    }
    public void setPresetPoints(Integer presetPoints) 
    {
        this.presetPoints = presetPoints;
    }

    public Integer getPresetPoints() 
    {
        return presetPoints;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("projectName", getProjectName())
            .append("cameraName", getCameraName())
            .append("cameraCode", getCameraCode())
            .append("presetPoints", getPresetPoints())
            .toString();
    }
}
